package com.sooka.sponest.monitor.meiqiguan.gps.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import lombok.Data;
import org.apache.catalina.LifecycleState;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.time.OffsetDateTime;
import java.util.Date;
import java.util.List;

/**
 * @author ruoyi
 * @date 2023-12-09
 */
@Data
public class GasTankDevices {

    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 设备序列号，全局唯一 */
    @Excel(name = "设备序列号，全局唯一")
    private String deviceid;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String devicename;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private Long devicetype;

    /** SIM号码 */
    @Excel(name = "SIM号码")
    private String simnum;

    /** 过期时间 */
    @Excel(name = "过期时间")
    private Long overduetime;

    /** 到期通知时间 */
    @Excel(name = "到期通知时间")
    private Long expirnotifytime;

    /** 哪个用户创建的，方便快速查找分组 */
    @Excel(name = "哪个用户创建的，方便快速查找分组")
    private String creater;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;

    /** 默认摄像头数量 */
    @Excel(name = "默认摄像头数量")
    private Long videochannelcount;

    /** 上一次在线时间 */
    @Excel(name = "上一次在线时间")
    private Long lastactivetime;

    /** 是否能正常使用: 1 正常使用, 2 正在体验, 3 已禁用, 4 设备到期, 5 设备过期 */
    @Excel(name = "是否能正常使用: 1 正常使用, 2 正在体验, 3 已禁用, 4 设备到期, 5 设备过期")
    private Long isfree;

    /** 0代表不允许二级普通用户编辑, 1代表允许 */
    @Excel(name = "0代表不允许二级普通用户编辑, 1代表允许")
    private Long allowedit;

    /** 默认图标, 0代表小车 */
    @Excel(name = "默认图标, 0代表小车")
    private Long icon;

    /** 是否关注: 0 代表未关注, 1代表关注 */
    @Excel(name = "是否关注: 0 代表未关注, 1代表关注")
    private Long stared;

    /** 登录名称 */
    @Excel(name = "登录名称")
    private String loginname;

    private String deptId;
    private String maxspeed;
    private String averagespeed;
    private String endtime;





    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDeviceid() {
        return deviceid;
    }

    public void setDeviceid(String deviceid) {
        this.deviceid = deviceid;
    }

    public String getDevicename() {
        return devicename;
    }

    public void setDevicename(String devicename) {
        this.devicename = devicename;
    }

    public Long getDevicetype() {
        return devicetype;
    }

    public void setDevicetype(Long devicetype) {
        this.devicetype = devicetype;
    }

    public String getSimnum() {
        return simnum;
    }

    public void setSimnum(String simnum) {
        this.simnum = simnum;
    }

    public Long getOverduetime() {
        return overduetime;
    }

    public void setOverduetime(Long overduetime) {
        this.overduetime = overduetime;
    }

    public Long getExpirnotifytime() {
        return expirnotifytime;
    }

    public void setExpirnotifytime(Long expirnotifytime) {
        this.expirnotifytime = expirnotifytime;
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getVideochannelcount() {
        return videochannelcount;
    }

    public void setVideochannelcount(Long videochannelcount) {
        this.videochannelcount = videochannelcount;
    }

    public Long getLastactivetime() {
        return lastactivetime;
    }

    public void setLastactivetime(Long lastactivetime) {
        this.lastactivetime = lastactivetime;
    }

    public Long getIsfree() {
        return isfree;
    }

    public void setIsfree(Long isfree) {
        this.isfree = isfree;
    }

    public Long getAllowedit() {
        return allowedit;
    }

    public void setAllowedit(Long allowedit) {
        this.allowedit = allowedit;
    }

    public Long getIcon() {
        return icon;
    }

    public void setIcon(Long icon) {
        this.icon = icon;
    }

    public Long getStared() {
        return stared;
    }

    public void setStared(Long stared) {
        this.stared = stared;
    }

    public String getLoginname() {
        return loginname;
    }

    public void setLoginname(String loginname) {
        this.loginname = loginname;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("deviceid", getDeviceid())
                .append("devicename", getDevicename())
                .append("devicetype", getDevicetype())
                .append("simnum", getSimnum())
                .append("overduetime", getOverduetime())
                .append("expirnotifytime", getExpirnotifytime())
                .append("remark", getRemark())
                .append("creater", getCreater())
                .append("videochannelcount", getVideochannelcount())
                .append("lastactivetime", getLastactivetime())
                .append("isfree", getIsfree())
                .append("allowedit", getAllowedit())
                .append("icon", getIcon())
                .append("stared", getStared())
                .append("loginname", getLoginname())
                .toString();
    }

}
